%global momorel 8
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%global md5sum_src0 d034fc3936d16cfc3becac2daec9f591
%global __libtoolize :

Summary: Network traffic analyzer
Name: wireshark
Version: 0.99.5
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
URL: http://www.wireshark.org/
%NoSource 0 http://www.wireshark.org/download/src/%{name}-%{version}.tar.gz %{md5sum_src0}
Source1: wireshark.pam
Source2: wireshark.console
Source3: wireshark.desktop
Patch1: wireshark-0.99.5-pie.patch
Patch3: wireshark-nfsv4-opts.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: net-snmp-devel >= 5.3.1.0
BuildPreReq: gtk2-devel, flex, openssl-devel >= 0.9.8a
BuildPreReq: libpcap-devel >= 0.9.5
BuildPreReq: krb5-devel, net-snmp-devel >= 5.4
BuildPreReq: automake >= 1.5-15m
BuildPreReq: elfutils-libelf
BuildPreReq: elfutils-devel
BuildPreReq: atk-devel >= 1.4.1-3m
BuildRequires: momonga-rpmmacros >= 20040310-6m
BuildRequires: libgcrypt-devel >= 1.2.3-2m
BuildRequires: libgpg-error-devel >= 1.5-2m
BuildRequires: gnutls-devel >= 1.6.1-2m
Requires: libpcap >= 0.9.5
Conflicts: ethereal
Obsoletes: ethereal

%package gnome
Summary: Gnome desktop integration for wireshark and wireshark-usermode
Group: Applications/Internet
Requires: gtk2
Requires: usermode >= 1.37
Requires: %{name} = %{version}-%{release}
Requires: net-snmp >= 5.4, net-snmp-libs >= 5.4
Requires: htmlview
Obsoletes: ethereal-gnome
Provides: ethereal-gnome

%description
Wireshark is a network traffic analyzer for Unix-ish operating systems.

This package lays base for libpcap, a packet capture and filtering 
library, contains command-line utilities, contains plugins and 
documentation for wireshark. A graphical user interface is packaged 
separately to GTK+ package.

%description gnome
Contains wireshark for Gnome 2 and desktop integration file

%prep
%setup -q
%patch1 -p1 -b .pie
%patch3 -p1 

%build
%configure --sysconfdir=%{_sysconfdir}/wireshark \
   --bindir=%{_sbindir} \
   --enable-zlib \
   --enable-ipv6 \
   --with-net-snmp \
   --with-gnu-ld \
   --disable-static \
   --disable-usr-local \
   --enable-gtk2 \
   --with-pic \
   --with-ssl \
   --with-plugindir=%{_libdir}/%{name}/plugins/%{version}

find -name "Makefile" | xargs perl -p -i -e \
     's,-I%{_includedir} ,,;s,-I/usr/local/include ,,'

time make %{?_smp_mflags}

%install
%{__rm} -rf --preserve-root %{buildroot}

%{__install} -m 0755 -d %{buildroot}%{_datadir}/applications
%{__install} -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/applications

# The evil plugins hack
perl -pi -e 's|-L../../epan|-L../../epan/.libs|' plugins/*/*.la

make DESTDIR=%{buildroot} install transform='s,x,x,'

#symlink tshark to tethereal
ln -s tshark %{buildroot}%{_sbindir}/tethereal

#empty?!
rm -f %{buildroot}%{_sbindir}/idl2wrs

# install support files for usermode, gnome and kde
mkdir -p %{buildroot}/%{_sysconfdir}/pam.d
install -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/pam.d/wireshark
mkdir -p %{buildroot}/%{_sysconfdir}/security/console.apps
install -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/security/console.apps/wireshark
mkdir -p %{buildroot}/%{_bindir}
ln -s consolehelper %{buildroot}/%{_bindir}/wireshark

# fullpath for desktop file
sed -i -e 's@TryExec=wireshark@TryExec=/usr/bin/wireshark@' \
    -e 's@Exec=wireshark@Exec=/usr/bin/wireshark@' \
    %{buildroot}%{_datadir}/applications/wireshark.desktop

# install man
mkdir -p %{buildroot}/%{_mandir}/man1
install -m 644 *.1 %{buildroot}/%{_mandir}/man1

# Install python stuff.
mkdir -p %{buildroot}%{python_sitelib}
install -m 644 tools/wireshark_be.py tools/wireshark_gen.py  %{buildroot}%{python_sitelib}

mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 644 image/wsicon48.png %{buildroot}/%{_datadir}/pixmaps/wireshark.png

%{__chmod} -x doc/*.pl

find %{buildroot} -name "*.la" -delete

%clean
%{__rm} -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* 
%{_sbindir}/editcap
#%{_sbindir}/idl2wrs
%{_sbindir}/tshark
%{_sbindir}/mergecap
%{_sbindir}/text2pcap
%{_sbindir}/dftest
%{_sbindir}/capinfos
%{_sbindir}/randpkt
%{_sbindir}/dumpcap
%{_sbindir}/tethereal
%{python_sitelib}/*
%{_libdir}/lib*
%{_mandir}/man1/editcap.*
%{_mandir}/man1/tshark.*
%{_mandir}/man1/idl2wrs.*
%{_mandir}/man1/mergecap.*
%{_mandir}/man1/text2pcap.*
%{_mandir}/man1/capinfos.*
%{_mandir}/man1/dumpcap.*
%{_mandir}/man4/wireshark-filter.*
%{_libdir}/wireshark
%config(noreplace) %{_sysconfdir}/pam.d/wireshark
%config(noreplace) %{_sysconfdir}/security/console.apps/wireshark
%{_datadir}/wireshark

%files gnome
%defattr(-,root,root)
%{_datadir}/applications/wireshark.desktop
%{_datadir}/pixmaps/wireshark.png
%{_bindir}/wireshark
%{_sbindir}/wireshark
%{_mandir}/man1/wireshark.*

%changelog
* Sun Jul 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.99.5-8m)
- modify desktop file (full path)

* Mon Jul  9 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.99.5-7m)
- update wireshark.desktop
  remove Categories X-Red-Hat-Extra and Application
  re-add Name[ja]

* Sat Jul  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.99.5-6m)
- separate gnome subpackage
- add 
  Source1: wireshark.pam
  Source2: wireshark.console
  Source3: wireshark.desktop
  Patch1: wireshark-0.99.5-pie.patch
  Patch3: wireshark-nfsv4-opts.patch

* Sat Jun 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.99.5-5m)
- rebuild against net-snmp

* Thu Jun 07 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.99.5-4m)
- rebuild against libpcap-0.9.5 (restrict by version)

* Wed Jun  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.99.5-3m)
- rebuild against libpcap-0.9.5

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.99.5-2m)
- delete libtool library

* Mon Feb 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.99.5-1m)
- update to 0.99.5
- [SECURITY] Multiple problems are fixed in this version
  CVE-2007-0459 CVE-2007-0458 CVE-2007-0457 CVE-2007-0456
  see http://www.wireshark.org/security/wnpa-sec-2007-01.html

* Wed Nov  1 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.99.4-1m)
- update to 0.99.4
- [SECURITY] fix following Multiple Denial of Service Vulnerabilities
  CVE-2006-5468 CVE-2006-5740 CVE-2006-4805 CVE-2006-5469 CVE-2006-4574 CVE-2006-5595

* Sat Sep 23 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.99.3a-2m)
- rebuild against gnutls-1.4.4-1m

* Sun Sep  3 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.99.3a-1m)
- update to 0.99.3a
- [SECURITY] CVE-2006-4330 CVE-2006-4333 CVE-2006-4331 CVE-2006-4332
- http://www.wireshark.org/security/wnpa-sec-2006-02.html

* Wed Aug  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.99.2-3m)
- rebuild against net-snmp 5.3.1.0

* Sun Jul 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.99.2-2m)
- add Obsoletes: ethereal for upgrade from ethereal

* Sat Jul 22 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.99.2-1m)
- The Ethereal network protocol analyzer has changed its name to Wireshark.
- [SECURITY] CVE-2006-3627 CVE-2006-3628 CVE-2006-3629 CVE-2006-3630
             CVE-2006-3631 CVE-2006-3632

* Tue May 23 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.99.0-2m)
- rebuild against rpm 4.4.2

* Tue Apr 25 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.99.0-1m)
- [SECURITY] CVE-2006-1932 CVE-2006-1933 CVE-2006-1934 CVE-2006-1935
             CVE-2006-1936 CVE-2006-1937 CVE-2006-1938 CVE-2006-1939
             CVE-2006-1940 

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.10.14-2m)
- rebuild against openssl-0.9.8a

* Mon Mar 27 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.10.14-1m)
- update to 0.10.14
- drop patch0 : fixed in upstream

* Tue Dec 13 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (0.10.13-1m)
- update to 0.10.13
- import ospf patch from CVS (CVE-2005-3651)

* Mon Aug  1 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.10.12-1m)
- up to 0.10.12
- [SECUIRTY] CAN-2005-2361 - CAN-2005-2367

* Sun May  8 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.10.11m)
- major security fixes (CAN-2005-1456 - CAN-2005-1470)

* Thu Mar 14 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.10.10-1m)
- version up. includes
- The COPS dissector could go into an infinite loop (CAN-2005-0006).
- The DLSw dissector could cause an assertion, making Ethereal exit
  prematurely (CAN-2005-0007).
- The DNP dissector could cause memory corruption (CAN-2005-0008).
- The Gnutella dissector could cause an assertion, making Ethereal
  exit prematurely (CAN-2005-0009).
- The MMSE dissector could free statically-allocated memory
  (CAN-2005-0010).
- The X11 dissector is vulnerable to a string buffer overflow
  (CAN-2005-0084).


* Fri Feb 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.9-4m)
- move ethereal.desktop to %%{_datadir}/applications/
- update Source3: ethereal.desktop
- import Source1: ethereal.png from Fedora Core

* Mon Feb  7 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.10.9-3m)
- enable x86_64.

* Sun Jan 23 2005 Toru Hoshina <t@momonga-linux.org>
- (0.10.9-2m)
- applied patch for ltmain.sh to find dependency out from itself.

* Fri Jan 21 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.10.9-1m)
- major security fixes

* Thu Dec 16 2004 Mitsuru Shimaura <smbd@momonga-linux.org>
- (0.10.8-1m)
- up to 0.10.8
- [SECURITY] Ethereal Multiple Vulnerabilities
  http://secunia.com/advisories/13468/

* Thu Aug 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10.6-1m)
- update to 0.10.6

* Fri Jul  9 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10.5-2m)
- add BuildRequires: momonga-rpmmacros >= 20040310-6m

* Thu Jul  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.10.5-1m)
- minor security fixes

* Fri May 14 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.10.4-1m)
- fixes security-related bugs in the AIM, MMSE, SIP, and SPNEGO
  dissectors

* Sat Mar 27 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.10.3-1m)
- security fix http://www.ethereal.com/appnotes/enpa-sa-00013.html
- revise specfile

* Wed Feb 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.10.2-1m)
- minor feature enhancements

* Tue Dec 16 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.10.0-1m)
- update to 0.10.0a
  Security problems in Ethereal 0.9.16
  http://www.ethereal.com/appnotes/enpa-sa-00012.html

* Thu Nov 06 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.16-2m)
- use --disable-static instead of delete --enable-static at %%configure
- we can exec ethereal, but ethereal said:
  The plugin asn1.so, version 0.5.0 is an old-style plugin;
  Those are no longer supported.
  sigh!!

* Wed Nov 05 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.16-1m)
- update to 0.9.16
- security fix http://www.ethereal.com/appnotes/enpa-sa-00011.html
- add kludge Patch0: plugins-asn1-packet-asn1.c.patch
- use %%global
- add BuildPreReq: elfutils-libelf and elfutils-devel
  for link libelf.so.*
- add BuildPreReq: atk-devel >= 1.4.1-3m
  for link libatk-1.0.so.*
-
- !!! CAUTION !!!
- this release was broken, please do not use
- compile message:
- epan/libethereal.a(filesystem.o)(.text+0x1e6): In function
- get_persconffile_dir':
- : warning: Using 'getpwuid' in statically linked applications requires at
- runtime the shared libraries from the glibc version used for linking
-
- message when exec ethereal
- $ sudo ethereal &
- sudo: unable to exec /usr/bin/ethereal: No such file or directory

* Tue Jul 29 2003 Hiroyuki KOGA <kuma@momonga-linux.org>
- (0.9.14-1m)
- update to 0.9.14

* Sun Jul 20 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.13-2m)
- rebuild against glibc-2.3.2

* Thu Jun 12 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.13-1m)
  update to 0.9.13

* Fri May  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.12-1m)
- minor security fixes

* Sat Mar 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.11-1m)
- update to 0.9.11

* Mon Mar 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.10-3m)
- rebuild against for XFree86-4.3.0

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.10-2m)
- rebuild against openssl 0.9.7a

* Sun Mar  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.10-1m)
- minor security fixes
- use gtk2

* Fri Feb 28 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.9-1m)
- version 0.9.9

* Sun Dec  8 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.8-1m)
- update to 0.9.8 which includes security fix
- add more documents

* Sun Nov 24 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.7-3m)
- use automake-1.7

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.7-2m)
- rebuild against gcc-3.2 with autoconf-2.53

* Sun Oct  6 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.7-1m)
- upgrade to 0.9.7

* Thu Aug 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.6-2m)
- rebuild against net-snmp-5.0.3-3m

* Wed Aug 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.6-1m)
- minor security fixes

* Sat Aug 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.5-2m)
- rebuild against net-snmp

* Tue Jul  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.5-1m)
- update to 0.9.5

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.9.4-6k)
- cancel gcc-3.1 autoconf-2.53

* Fri May 24 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.9.4-4k)
  for gcc 3.1

* Mon May 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.9.4-2k)
- enable snmp (I don't know why snmp had been disabled...)

* Sun Mar 31 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.9.3-2k)

* Sat Mar 16 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.9.2-2k)

* Wed Feb 13 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.9.1-2k)
- update to 0.9.1

* Wed Jan  2 2002 Shingo Akagaki <dora@kondara.org>
- (0.9.0-2k)
- version 0.9.0

* Sat Dec  1 2001 Toru Hoshina <t@kondara.org>
- (0.8.20-4k)
- No docs could be excutable :-p

* Tue Oct 16 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.8.20-2k)

* Thu Mar 22 2001 Motonobu Ichimura <famao@kondara.org>
- (0.8.14-7k)
- rebuild against glibc-2.2.2

* Wed Mar  7 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.8.14-5k)
- changable IPv6 function with %{_ipv6} macro

* Wed Dec 13 2000 AYUHANA Tomonori <l@kondara.org>
- (0.8.14-2k)
- backport 0.8.14-3k for 2.0

* Thu Dec  7 2000 AYUHANA Tomonori <l@kondara.org>
- (0.8.14-3k)
- version 0.8.14
- add BuildRequires: flex, glib1-devel

* Wed Oct 11 2000 Motonobu Ichimura <famao@kondara.org>
- Version up tarball. (0.8.7 -> 0.8.12)

* Tue Apr 25 2000 Chiaki Nakata <hanibi@kondara.org>
- Version up tarball. (0.8.3 -> 0.8.7)

* Sun Feb 13 2000 Toru Hoshina <t@kondara.org>
- Version up tarball. (0.8.0 -> 0.8.3)

* Sat Jan  8 2000 Kazuaki Yoshida <kazuaki@nifty.co.jp>
- Version up tarball. (0.7.9 -> 0.8.0)

* Mon Dec  6 1999 Kazuaki Yoshida <kazuaki@nifty.co.jp>
- Version up tarball. (0.7.1 -> 0.7.9)
- Add "ethereal.png", "ethereal.desktop".
- change "Group".
- change to nosrc.rpm.
- Adjust to the reglation of "Kondara MNU/Linux".

* Sat Aug  7 1999 Yoshida <kazuaki@nifty.co.jp>
- 1st Release for Kondara MNU/Linux Users (glibc2.1).


